org.eclipse.gef.mvc.fx.operations

## Class BendContentOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.mvc.fx.operations.BendContentOperation

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IUndoableOperation, ITransactionalOperation

    public class BendContentOperation
    extends org.eclipse.core.commands.operations.AbstractOperation
    implements ITransactionalOperation

An `ITransactionalOperation` to bend an `IBendableContentPart`.

### Constructor Summary

Constructors
Constructor and Description
`BendContentOperation(IBendableContentPart<? extends javafx.scene.Node> bendableContentPart, java.util.List<IBendableContentPart.BendPoint> initialBendPoints, java.util.List<IBendableContentPart.BendPoint> finalBendPoints)` Creates a new `BendContentOperation` to resize the content of the given `IResizableContentPart`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.IStatus` `execute(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`boolean` `isContentRelevant()` Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean` `isNoOp()` Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`org.eclipse.core.runtime.IStatus` `redo(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`org.eclipse.core.runtime.IStatus` `undo(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

### Constructor Detail

#### BendContentOperation

    public BendContentOperation(IBendableContentPart<? extends javafx.scene.Node> bendableContentPart,
                                java.util.List<IBendableContentPart.BendPoint> initialBendPoints,
                                java.util.List<IBendableContentPart.BendPoint> finalBendPoints)

Creates a new `BendContentOperation` to resize the content of the given `IResizableContentPart`.

Parameters:
  `bendableContentPart` - The part to bend.
  `initialBendPoints` - The initial bend points before applying the change.
  `finalBendPoints` - The final bend points after applying the change.

### Method Detail

#### execute

    public org.eclipse.core.runtime.IStatus execute(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                    org.eclipse.core.runtime.IAdaptable info)
                                             throws org.eclipse.core.commands.ExecutionException

Specified by:
  `execute` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
Specified by:
  `execute` in class `org.eclipse.core.commands.operations.AbstractOperation`
Throws:
  `org.eclipse.core.commands.ExecutionException`

#### isContentRelevant

    public boolean isContentRelevant()

Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

#### isNoOp

    public boolean isNoOp()

Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

#### redo

    public org.eclipse.core.runtime.IStatus redo(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                 org.eclipse.core.runtime.IAdaptable info)
                                          throws org.eclipse.core.commands.ExecutionException

Specified by:
  `redo` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
Specified by:
  `redo` in class `org.eclipse.core.commands.operations.AbstractOperation`
Throws:
  `org.eclipse.core.commands.ExecutionException`

#### undo

    public org.eclipse.core.runtime.IStatus undo(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                 org.eclipse.core.runtime.IAdaptable info)
                                          throws org.eclipse.core.commands.ExecutionException

Specified by:
  `undo` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
Specified by:
  `undo` in class `org.eclipse.core.commands.operations.AbstractOperation`
Throws:
  `org.eclipse.core.commands.ExecutionException`